%define oname   http_parser.rb

Name:       ruby-%{oname}
Version:    0.5.3
Release:    %mkrel 3
Summary:    Simple callback-based HTTP request/response parser
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/igrigorik/em-socksify
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
Ruby bindings to http://github.com/ry/http-parser and http://github.com/a2800276/http-parser.java.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_sitearchdir}/ruby_http_parser.so
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.5.3-3.mga3
+ Revision: 396056
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.5.3-2.mga3
+ Revision: 381021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.5.3-1.mga3
+ Revision: 312921
- update file list
- imported package ruby-http_parser.rb

